Bug 1271371 - [abrt] general protection fault in rtl28xxu_tuner_detach [dvb_usb_rtl28xxu]
[abrt] general protection fault in rtl28xxu_tuner_detach [dvb_usb_rtl28xxu]
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:d9db8e6c507cc3cbe5cb8ff607d...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-13 15:08 EDT by Štefan Gurský
Modified: 2016-11-24 18:35 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-10-26 12:54:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dmesg (83.79 KB, text/plain)
2015-10-13 15:08 EDT, Štefan Gurský
no flags Details

  None (edit)
Description Štefan Gurský 2015-10-13 15:08:31 EDT
Description of problem:
I started gqrx (from package) with rtl tunner plugged in. The system stopped responding.

Additional info:
reporter:       libreport-2.6.2
general protection fault: 0000 [#1] SMP 
Modules linked in: rfcomm fuse xt_CHECKSUM iptable_mangle ipt_MASQUERADE nf_nat_masquerade_ipv4 iptable_nat nf_nat_ipv4 nf_nat nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack nf_conntrack tun bridge ebtable_filter ebtables ip6table_filter ip6_tables cmac bnep vfat fat ir_lirc_codec lirc_dev ir_mce_kbd_decoder ir_jvc_decoder ir_sharp_decoder ir_sony_decoder ir_xmp_decoder ir_rc6_decoder ir_nec_decoder ir_sanyo_decoder ir_rc5_decoder r820t rtl2832 i2c_mux btusb arc4 btrtl dvb_usb_rtl28xxu dvb_usb_v2 btbcm btintel dvb_core bluetooth iwlmvm rc_core mac80211 uvcvideo videobuf2_vmalloc videobuf2_core videobuf2_memops v4l2_common videodev media iTCO_wdt iTCO_vendor_support hp_wmi sparse_keymap ppdev intel_rapl iwlwifi iosf_mbi snd_hda_codec_hdmi x86_pkg_temp_thermal coretemp kvm_intel snd_hda_codec_idt
 snd_hda_codec_generic kvm snd_hda_intel cfg80211 joydev rtsx_pci_ms snd_hda_codec snd_hda_core snd_hwdep memstick snd_seq rfkill snd_seq_device snd_pcm wmi parport_pc parport lpc_ich snd_timer snd tpm_infineon hp_accel shpchp soundcore lis3lv02d input_polldev hp_wireless tpm_tis mei_me i2c_i801 mei tpm nfsd auth_rpcgss nfs_acl lockd grace sunrpc binfmt_misc dm_crypt 8021q garp stp llc mrp i915 rtsx_pci_sdmmc mmc_core crct10dif_pclmul crc32_pclmul crc32c_intel i2c_algo_bit drm_kms_helper ghash_clmulni_intel e1000e drm serio_raw rtsx_pci ptp pps_core video
CPU: 1 PID: 3054 Comm: gqrx Not tainted 4.2.3-300.fc23.x86_64 #1
Hardware name: Hewlett-Packard HP ZBook 14/198F, BIOS L71 Ver. 01.30 12/09/2014
task: ffff88006be5d880 ti: ffff8801fb9ec000 task.ti: ffff8801fb9ec000
RIP: 0010:[<ffffffffa08332e1>]  [<ffffffffa08332e1>] rtl28xxu_tuner_detach+0x51/0x90 [dvb_usb_rtl28xxu]
RSP: 0018:ffff8801fb9ef928  EFLAGS: 00010206
RAX: 0000000000000460 RBX: 7ad175d772d472d4 RCX: 0000000000000001
RDX: 0000000000000000 RSI: ffffffffa084c228 RDI: 0000000000000000
RBP: ffff8801fb9ef938 R08: ffffffffa084c220 R09: 0000000000000000
R10: 000000000000039c R11: 000000000000041b R12: ffff88003f720000
R13: ffff88003f720a90 R14: ffff88003f720000 R15: ffff88003f720a90
FS:  00007f4d51a5e940(0000) GS:ffff88024ea40000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00007fa1740db000 CR3: 00000001fb9dd000 CR4: 00000000001406e0
Stack:
 ffff88003f720460 ffff88003f720460 ffff8801fb9ef988 ffffffffa0829447
 ffff88006be5d880 ffff88003f71fde0 ffff8801fb9ef978 ffff88003f720000
 ffff8801fb9ef9a0 ffffffffa0838540 ffff880242aef090 ffff880242aef000
Call Trace:
 [<ffffffffa0829447>] dvb_usbv2_exit+0x167/0x3d0 [dvb_usb_v2]
 [<ffffffffa0829724>] dvb_usbv2_disconnect+0x74/0xf0 [dvb_usb_v2]
 [<ffffffff814db2a0>] ? __pm_runtime_suspend+0x80/0x80
 [<ffffffff814db7c0>] ? __pm_runtime_use_autosuspend+0x70/0x70
 [<ffffffff815667c3>] usb_unbind_interface+0x83/0x270
 [<ffffffff814dacd3>] ? rpm_idle+0x23/0x200
 [<ffffffff814cfff1>] __device_release_driver+0xa1/0x150
 [<ffffffff814d00c3>] device_release_driver+0x23/0x30
 [<ffffffff81566a2f>] usb_driver_release_interface+0x7f/0x90
 [<ffffffff8156c12e>] proc_ioctl+0x1ce/0x210
 [<ffffffff8156e582>] usbdev_do_ioctl+0x3d2/0x10e0
 [<ffffffff8156f2be>] usbdev_ioctl+0xe/0x20
 [<ffffffff812312b5>] do_vfs_ioctl+0x295/0x470
 [<ffffffff8132930d>] ? selinux_file_ioctl+0x4d/0xc0
 [<ffffffff81231509>] SyS_ioctl+0x79/0x90
 [<ffffffff817789ae>] entry_SYSCALL_64_fastpath+0x12/0x71
Code: 00 48 29 c7 f6 05 c1 60 00 00 04 48 8b 9f 28 12 00 00 75 38 48 8b 7b 58 48 85 ff 74 05 e8 78 f3 c9 e0 48 8b 5b 48 48 85 db 74 18 <48> 8b 83 b0 00 00 00 48 8b 78 10 e8 9f b4 8e e0 48 89 df e8 f7 
RIP  [<ffffffffa08332e1>] rtl28xxu_tuner_detach+0x51/0x90 [dvb_usb_rtl28xxu]
 RSP <ffff8801fb9ef928>
Comment 1 Štefan Gurský 2015-10-13 15:08:38 EDT
Created attachment 1082615 [details]
File: dmesg
Comment 2 Laura Abbott 2016-09-23 15:44:07 EDT
*********** MASS BUG UPDATE **************
 
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 23 kernel bugs.
 
Fedora 23 has now been rebased to 4.7.4-100.fc23.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you have moved on to Fedora 24 or 25, and are still experiencing this issue, please change the version to Fedora 24 or 25.
 
If you experience different issues, please open a new bug report for those.
Comment 3 Laura Abbott 2016-10-26 12:54:17 EDT
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 4 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.
Comment 4 Štefan Gurský 2016-11-24 18:35:31 EST
I do not remember this bug anymore, so it probably did not appear again. This is just so that this bug does not show in My requests.

Note You need to log in before you can comment on or make changes to this bug.